QTextDrag(3qt)

NAME
QTextDrag - Drag-and-drop object for transferring plain and Unicode text

SYNOPSIS

#include <qdragobject.h>

Inherits QDragObject.

  Public Members
QTextDrag ( const QString &, QWidget * dragSource = 0, const char * name = 0 )
QTextDrag ( QWidget * dragSource = 0, const char * name = 0 )
~QTextDrag ()
virtual void setText ( const QString & )
virtual void setSubtype ( const QCString & )

  Static Public Members
bool canDecode ( const QMimeSource * e )
bool decode ( const QMimeSource * e, QString & s )
bool decode ( const QMimeSource * e, QString & s, QCString & subtype )

DESCRIPTION
The QTextDrag class is a drag-and-drop object for transferring plain and Unicode text.

Plain text is single- or multi-line 8-bit text in the local encoding.

Qt provides no built-in mechanism for delivering only single-line.

Drag&Drop text does not have a NUL terminator when it is dropped onto the target.

For detailed information about drag-and-drop, see the QDragObject class.

MEMBER FUNCTION DOCUMENTATION

QTextDrag::QTextDrag ( QWidget * dragSource = 0, const char * name = 0 )
Constructs a default text drag object. dragSource must be the drag source, name is the object name.

QTextDrag::QTextDrag ( const QString & text, QWidget * dragSource = 0, const char * name = 0 )
Constructs a text drag object and sets it to text. dragSource must be the drag source, name is the object name.

QTextDrag::~QTextDrag ()
Destructs the text drag object and frees up all allocated resources.

bool QTextDrag::canDecode ( const QMimeSource * e ) [static]
Returns TRUE if the information in e can be decoded into a QString.

See also decode().

bool QTextDrag::decode ( const QMimeSource * e, QString & str ) [static]
Attempts to decode the dropped information in e into str, returning TRUE if successful.

See also canDecode().

bool QTextDrag::decode ( const QMimeSource * e, QString & str, QCString & subtype ) [static]
Attempts to decode the dropped information in e into str, returning TRUE if successful. If subtype is null, any text subtype is accepted, otherwise only that specified is accepted. subtype is set to the accepted subtype.

See also canDecode().

QByteArray QTextDrag::encodedData ( const char * mime ) const [virtual]
Reimplemented for internal reasons; the API is not affected.

const char * QTextDrag::format ( int i ) const [virtual]
Reimplemented for internal reasons; the API is not affected.

Reimplemented from QMimeSource.

void QTextDrag::setSubtype ( const QCString & st ) [virtual]
Sets the MIME subtype of the text begin dragged. The default subtype is "plain", this the default MIME type of the text is "text/plain". You might use this to declare that the text is "text/html" by calling setSubtype("html").

void QTextDrag::setText ( const QString & text ) [virtual]
Sets the text to be dragged. You will need to call this if you did not pass the text during construction.

SEE ALSO
http://doc.trolltech.com/qtextdrag.html

COPYRIGHT
Copyright 1992-2000 Trolltech AS, http://www.trolltech.com/. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.